Package org.eclipse.rdf4j.federated

## Class FedXConnection.SailBaseDefaultImpl

- java.lang.Object
- - org.eclipse.rdf4j.sail.helpers.AbstractSail
  - - org.eclipse.rdf4j.federated.FedXConnection.SailBaseDefaultImpl

- All Implemented Interfaces:
    `Sail`
  Enclosing class:
    FedXConnection

      protected static class FedXConnection.SailBaseDefaultImpl
      extends AbstractSail

  A default implementation for `AbstractSail`. This implementation has no further use, however it is needed for the constructor call.
  Author:
    as

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sail.helpers.AbstractSail

      `connectionTimeOut, DEFAULT_CONNECTION_TIMEOUT, DEFAULT_ITERATION_SYNC_THRESHOLD, initializationLock`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `SailBaseDefaultImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `connectionClosed​(SailConnection connection)` | Signals to the store that the supplied connection has been closed; called by `AbstractSailConnection.close()`.
    `protected SailConnection` | `getConnectionInternal()` | Returns a store-specific SailConnection object.
    `ValueFactory` | `getValueFactory()` | Gets a ValueFactory object that can be used to create IRI-, blank node-, literal- and statement objects.
    `boolean` | `isWritable()` | Checks whether this Sail object is writable, i.e.
    `protected void` | `shutDownInternal()` | Do store-specific operations to ensure proper shutdown of the store.

    - ### Methods inherited from class org.eclipse.rdf4j.sail.helpers.AbstractSail

      `addSupportedIsolationLevel, debugEnabled, getConnection, getDataDir, getDefaultIsolationLevel, getIterationCacheSyncThreshold, getSupportedIsolationLevels, init, initializeInternal, isInitialized, isTrackResultSize, removeSupportedIsolationLevel, setConnectionTimeOut, setDataDir, setDefaultIsolationLevel, setIterationCacheSyncThreshold, setSupportedIsolationLevels, setSupportedIsolationLevels, setTrackResultSize, shutDown, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SailBaseDefaultImpl

          protected SailBaseDefaultImpl()

  - ### Method Detail

    - #### getConnectionInternal

          protected SailConnection getConnectionInternal()
                                                  throws SailException

      Description copied from class: `AbstractSail`
      Returns a store-specific SailConnection object.
      Specified by:
        `getConnectionInternal` in class `AbstractSail`
      Returns:
        A connection to the store.
      Throws:
        `SailException`

    - #### shutDownInternal

          protected void shutDownInternal()
                                   throws SailException

      Description copied from class: `AbstractSail`
      Do store-specific operations to ensure proper shutdown of the store.
      Specified by:
        `shutDownInternal` in class `AbstractSail`
      Throws:
        `SailException`

    - #### getValueFactory

          public ValueFactory getValueFactory()

      Description copied from interface: `Sail`
      Gets a ValueFactory object that can be used to create IRI-, blank node-, literal- and statement objects.
      Returns:
        a ValueFactory object for this Sail object.

    - #### isWritable

          public boolean isWritable()
                             throws SailException

      Description copied from interface: `Sail`
      Checks whether this Sail object is writable, i.e. if the data contained in this Sail object can be changed.
      Throws:
        `SailException`

    - #### connectionClosed

          protected void connectionClosed​(SailConnection connection)

      Description copied from class: `AbstractSail`
      Signals to the store that the supplied connection has been closed; called by `AbstractSailConnection.close()`.
      Overrides:
        `connectionClosed` in class `AbstractSail`
      Parameters:
        `connection` - The connection that has been closed.